unit AvisoAtendimentoCliente;

interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TelaComum, StdCtrls, Buttons, ExtCtrls, IB_Controls, Mask,
  IB_Components, ImgList, jpeg,DataModulo, System.ImageList;

type
  TfrmAvisoAtendimento = class(TfrmTelaComum)
    cbxNaoExibir: TCheckBox;
    IB_Memo1: TIB_Memo;
    IB_Edit1: TIB_Text;
    IB_Edit2: TIB_Text;
    IB_Edit3: TIB_Text;
    IB_Edit4: TIB_Text;
    IB_Edit5: TIB_Text;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    IB_Text1: TIB_Text;
    IB_Text3: TIB_Text;
    Label8: TLabel;
    IB_Text2: TIB_Text;
    Label9: TLabel;
    Shape2: TShape;
    dsrAvisoAtendimento: TIB_DataSource;
    qrAvisoAtendimento: TIB_Query;
    Image1: TImage;
    procedure BtCancelarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAvisoAtendimento: TfrmAvisoAtendimento;

implementation

uses CadCliente, Math;

{$R *.dfm}

procedure TfrmAvisoAtendimento.BtCancelarClick(Sender: TObject);
begin
  inherited;
   if cbxNaoExibir.Checked then
   begin
      qrAvisoAtendimento.Edit;
      qrAvisoAtendimento.FieldByName('AVISAR').Value := 'F';
      descricao_auditoria := 'Marcou para não exibir o aviso do cliente ' + qrAvisoAtendimento.FieldByName('CNPJ').OldAsString +
                             ' ' + qrAvisoAtendimento.FieldByName('RAZAOSOCIAL').OldAsString  + ' Tipo ' + qrAvisoAtendimento.FieldByName('tipoAtendimento').OldAsString +
                             ' Número ' + qrAvisoAtendimento.FieldByName('COD_ATEND_CLIENTE').AsString + ' ' + 'Na filial '  +dados.qrFilial.FieldByName('COD_FILIAL').asString;

      GravaAuditoria(False,qrAvisoAtendimento);
      qrAvisoAtendimento.post;
   end;

   Close;
end;

procedure TfrmAvisoAtendimento.FormCreate(Sender: TObject);
begin
  inherited;
   Chave_Tabela :=  'COD_ATEND_CLIENTE';
end;

end.
